Bug 963898 - kde-settings-kdm is misusing preset files
kde-settings-kdm is misusing preset files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 14:21 EDT by Lennart Poettering
Modified: 2014-09-23 10:26 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-23 10:26:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2013-05-16 14:21:49 EDT
This call tells me that kde-settings-kdm.rpm is providing a preset file:

$ repoquery -q --qf="%{name}" --whatprovides '*/lib/systemd/system-preset/*.preset' | sort -u
...
kde-settings-kdm
...

It shouldn't do that. Preset files are something that the distribution, spins of the distribution or administrators write. They policy that is applied to the OS, and should not be shipped by any normal RPMS. 

For Fedora, additions to the preset file must be kept in systemd.rpm and need to be accepted by FPC.

Please remove the preset file from the RPM. Thanks!
Comment 1 Rex Dieter 2013-05-16 14:29:24 EDT
Is there some policy or packaging guideline that document what you're recommending here?
Comment 2 Rex Dieter 2013-05-16 14:36:57 EDT
I guess moving *kdm.preset to systemd.rpm wouldn't be *that* bad.  I'm ok with it... (provided it continues to work as expected...).  

I hope presets that reference non-existent services essentially get ignored...
Comment 3 Lennart Poettering 2013-05-17 12:00:37 EDT
Quoting: https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

"If your package includes one or more systemd units that need to be enabled by default on package installation, they need to be covered by the default Fedora preset policy. The default fedora preset policy is shipped as part of systemd.rpm. If your unit files are missing from this list, please file a bug against the systemd package. Only services covered by the policy on which services that may be enabled by default on package installation are eligible for this, and you will need to receive special permission from FESCo to have a package start a service by default if it is not covered by the existing policy."

The existing policy you find here:

https://fedoraproject.org/wiki/Starting_services_by_default
Comment 4 Rex Dieter 2013-05-17 12:05:21 EDT
thank you
Comment 5 Martin Bříza 2013-05-20 07:45:17 EDT
If I understand right, the 81-fedora-kdm.preset (and I guess it applies to all the other DMs' preset files... I see one provided by LightDM here, too) isn't needed at all as KDM is eventually found in the 90-display-manager.preset so removing the file should do just fine.
Comment 6 Rex Dieter 2013-05-21 13:56:56 EDT
%changelog
* Tue May 21 2013 Rex Dieter <rdieter@fedoraproject.org> 19-21
- cleanup systemd macros
- kde-settings-kdm is misusing preset files (#963898)

Note You need to log in before you can comment on or make changes to this bug.